TCUMTTEST(1)

NAME
tcutest - test cases of the on-memory database API

DESCRIPTION

The command `tcumttest' is a utility for facility test under multi-thread situation. This command is used in the following format. `rnum' specifies the number of iterations. `bnum' specifies the number of buckets.

    tcumttest combo [-rnd] tnum rnum [bnum]
        Peform storing, retrieving, and removing in turn.
    tcumttest typical [-nc] [-rr num] tnum rnum [bnum]
        Perform typical operations selected at random.

Options feature the following.

    -rnd : select keys at random.
    -nc : omit the comparison test.
    -rr num : specify the ratio of reading operation by percentage.

This command returns 0 on success, another on failure.

SEE ALSO

tcutest(1), tcucodec(1), tcutil(3), tokyocabinet(3)